package ink.wgink.login.base.pojo.vos.config;


import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ConfigVO
 * @Description: 系统配置
 * @Author: WangGeng
 * @Date: 2019/11/20 10:45
 * @Version: 1.0
 **/
@ApiModel
public class ConfigVO {

    @ApiModelProperty(name = "passwordValidity", value = "密码有效期")
    @CheckEmptyAnnotation(name = "密码有效期")
    private String passwordValidity;
    @ApiModelProperty(name = "passwordValidityDays", value = "密码有效期天数")
    @CheckNumberAnnotation(name = "密码有效期天数", min = 0)
    private Integer passwordValidityDays;
    @ApiModelProperty(name = "changePasswordNoticeDays", value = "向用户发出其密码将过期的通知前的天数")
    @CheckNumberAnnotation(name = "向用户发出其密码将过期的通知前的天数", min = 0)
    private Integer changePasswordNoticeDays;
    @ApiModelProperty(name = "passwordStrength", value = "密码强度")
    @CheckEmptyAnnotation(name = "密码强度")
    private String passwordStrength;
    @ApiModelProperty(name = "firstLoginChangePassword", value = "用户首次登录修改密码")
    @CheckEmptyAnnotation(name = "用户首次登录修改密码")
    private String firstLoginChangePassword;
    @ApiModelProperty(name = "loginBackgroundImages", value = "登陆背景图片")
    private String loginBackgroundImages;
    @ApiModelProperty(name = "systemLogo", value = "系统LOGO")
    private String systemLogo;
    @ApiModelProperty(name = "systemShortLogo", value = "系统短LOGO")
    private String systemShortLogo;
    @ApiModelProperty(name = "systemTitle", value = "系统主名称")
    private String systemTitle;
    @ApiModelProperty(name = "systemTitleSize", value = "系统主名称字体大小")
    private Integer systemTitleSize;
    @ApiModelProperty(name = "systemSubTitleSize", value = "系统副标题")
    private String systemSubTitle;
    @ApiModelProperty(name = "systemSubTitleSize", value = "系统副标题字体大小")
    private Integer systemSubTitleSize;
    @ApiModelProperty(name = "systemShortTitle", value = "系统短标题")
    private String systemShortTitle;
    @ApiModelProperty(name = "copyRightYear", value = "版权年份")
    private String copyRightYear;
    @ApiModelProperty(name = "copyleft", value = "版权所有")
    private String copyleft;
    @ApiModelProperty(name = "officialUrl", value = "官方地址")
    private String officialUrl;
    @ApiModelProperty(name = "appDeviceCount", value = "APP允许绑定设备数量")
    @CheckNumberAnnotation(name = "APP允许绑定设备数量", min = 0)
    private Integer appDeviceCount;
    @ApiModelProperty(name = "verificationCode", value = "验证码状态")
    @CheckEmptyAnnotation(name = "验证码状态", types = {ISystemConstant.IS_TRUE, ISystemConstant.IS_FALSE})
    private String verificationCode;
    @ApiModelProperty(name = "uKeyLogin", value = "uKey登录")
    private String uKeyLogin;
    @ApiModelProperty(name = "scanCodeLogin", value = "扫码登录")
    private String scanCodeLogin;
    @ApiModelProperty(name = "loginBoxPosition", value = "登录框位置")
    private String loginBoxPosition;
    @ApiModelProperty(name = "menuMode", value = "菜单模式")
    @CheckEmptyAnnotation(name = "菜单模式", types = {"fixedLeft", "floatLeft"})
    private String menuMode;
    @ApiModelProperty(name = "systemConfigParams", value = "系统配置参数")
    private String systemConfigParams;
    @ApiModelProperty(name = "appConfigParams", value = "app配置参数")
    private String appConfigParams;

    public String getPasswordValidity() {
        return passwordValidity == null ? "" : passwordValidity.trim();
    }

    public void setPasswordValidity(String passwordValidity) {
        this.passwordValidity = passwordValidity;
    }

    public Integer getPasswordValidityDays() {
        return passwordValidityDays;
    }

    public void setPasswordValidityDays(Integer passwordValidityDays) {
        this.passwordValidityDays = passwordValidityDays;
    }

    public Integer getChangePasswordNoticeDays() {
        return changePasswordNoticeDays;
    }

    public void setChangePasswordNoticeDays(Integer changePasswordNoticeDays) {
        this.changePasswordNoticeDays = changePasswordNoticeDays;
    }

    public String getPasswordStrength() {
        return passwordStrength == null ? "" : passwordStrength.trim();
    }

    public void setPasswordStrength(String passwordStrength) {
        this.passwordStrength = passwordStrength;
    }

    public String getFirstLoginChangePassword() {
        return firstLoginChangePassword == null ? "" : firstLoginChangePassword.trim();
    }

    public void setFirstLoginChangePassword(String firstLoginChangePassword) {
        this.firstLoginChangePassword = firstLoginChangePassword;
    }

    public String getLoginBackgroundImages() {
        return loginBackgroundImages == null ? "" : loginBackgroundImages.trim();
    }

    public void setLoginBackgroundImages(String loginBackgroundImages) {
        this.loginBackgroundImages = loginBackgroundImages;
    }

    public String getSystemLogo() {
        return systemLogo == null ? "" : systemLogo.trim();
    }

    public void setSystemLogo(String systemLogo) {
        this.systemLogo = systemLogo;
    }

    public String getSystemTitle() {
        return systemTitle == null ? "" : systemTitle.trim();
    }

    public void setSystemTitle(String systemTitle) {
        this.systemTitle = systemTitle;
    }

    public Integer getSystemTitleSize() {
        return systemTitleSize == null ? 26 : systemTitleSize;
    }

    public void setSystemTitleSize(Integer systemTitleSize) {
        this.systemTitleSize = systemTitleSize;
    }

    public String getSystemSubTitle() {
        return systemSubTitle == null ? "" : systemSubTitle.trim();
    }

    public void setSystemSubTitle(String systemSubTitle) {
        this.systemSubTitle = systemSubTitle;
    }

    public Integer getSystemSubTitleSize() {
        return systemSubTitleSize == null ? 16 : systemSubTitleSize;
    }

    public void setSystemSubTitleSize(Integer systemSubTitleSize) {
        this.systemSubTitleSize = systemSubTitleSize;
    }

    public String getCopyRightYear() {
        return copyRightYear == null ? "" : copyRightYear.trim();
    }

    public void setCopyRightYear(String copyRightYear) {
        this.copyRightYear = copyRightYear;
    }

    public String getCopyleft() {
        return copyleft == null ? "" : copyleft.trim();
    }

    public void setCopyleft(String copyleft) {
        this.copyleft = copyleft;
    }

    public String getOfficialUrl() {
        return officialUrl == null ? "" : officialUrl.trim();
    }

    public void setOfficialUrl(String officialUrl) {
        this.officialUrl = officialUrl;
    }

    public Integer getAppDeviceCount() {
        return appDeviceCount;
    }

    public void setAppDeviceCount(Integer appDeviceCount) {
        this.appDeviceCount = appDeviceCount;
    }

    public String getVerificationCode() {
        return verificationCode == null ? "" : verificationCode.trim();
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }

    public String getuKeyLogin() {
        return uKeyLogin == null ? "" : uKeyLogin.trim();
    }

    public void setuKeyLogin(String uKeyLogin) {
        this.uKeyLogin = uKeyLogin;
    }

    public String getScanCodeLogin() {
        return scanCodeLogin == null ? "" : scanCodeLogin.trim();
    }

    public void setScanCodeLogin(String scanCodeLogin) {
        this.scanCodeLogin = scanCodeLogin;
    }

    public String getLoginBoxPosition() {
        return loginBoxPosition == null ? "" : loginBoxPosition;
    }

    public void setLoginBoxPosition(String loginBoxPosition) {
        this.loginBoxPosition = loginBoxPosition;
    }

    public String getMenuMode() {
        return menuMode == null ? "" : menuMode;
    }

    public void setMenuMode(String menuMode) {
        this.menuMode = menuMode;
    }

    public String getSystemShortLogo() {
        return systemShortLogo == null ? "" : systemShortLogo.trim();
    }

    public void setSystemShortLogo(String systemShortLogo) {
        this.systemShortLogo = systemShortLogo;
    }

    public String getSystemShortTitle() {
        return systemShortTitle == null ? "" : systemShortTitle.trim();
    }

    public void setSystemShortTitle(String systemShortTitle) {
        this.systemShortTitle = systemShortTitle;
    }

    public String getSystemConfigParams() {
        return systemConfigParams == null ? "" : systemConfigParams.trim();
    }

    public void setSystemConfigParams(String systemConfigParams) {
        this.systemConfigParams = systemConfigParams;
    }

    public String getAppConfigParams() {
        return appConfigParams == null ? "" : appConfigParams.trim();
    }

    public void setAppConfigParams(String appConfigParams) {
        this.appConfigParams = appConfigParams;
    }
}
